using System;

namespace _2.Zadatak
{
    class Program
    {
        static void Main(string[] args)
        {
            string X, Y;
            int x_lenght, y_lenght,min_lenght,gen_lenght,delta_lenght,gen_max;
            char[] gen;
            char temp;

            X = Console.ReadLine();
            Y= Console.ReadLine();

            x_lenght = X.Length;
            y_lenght = Y.Length;
            gen_lenght = 0;


            if (x_lenght == y_lenght)
            {

                gen= new char[x_lenght*2];

                for(int i = 0; i < x_lenght; i++)
                {
                    if(int.Parse(X.Substring(i,1)) > int.Parse(Y.Substring(i, 1)))
                    {
                        gen[gen_lenght] = char.Parse(X.Substring(i, 1));
                        gen_lenght++;
                    }
                    else if (int.Parse(X.Substring(i, 1)) < int.Parse(Y.Substring(i, 1)))
                    {
                        gen[gen_lenght] = char.Parse(Y.Substring(i, 1));
                        gen_lenght++;
                    }
                    else
                    {

                        gen[gen_lenght] = char.Parse(X.Substring(i, 1));
                        gen_lenght++;
                        gen[gen_lenght] = char.Parse(Y.Substring(i, 1));
                        gen_lenght++;
                    }
                }
                Console.WriteLine(gen);
            }
            else
            {

                min_lenght = Math.Min(x_lenght, y_lenght);

                if (min_lenght == x_lenght)
                {
                    gen = new char[y_lenght*2];

                    gen_lenght = y_lenght-1;

                    gen_max = y_lenght - 1;

                    delta_lenght = y_lenght-x_lenght;

                    for (int i = 0; i < y_lenght; i++)
                    {
                       
                        gen[gen_lenght]= char.Parse(Y.Substring(i, 1));
                        gen_lenght--;
                    }


                    gen_lenght = min_lenght-1;
               
                    for (int i = 0; i < min_lenght; i++)
                    {
                        if (int.Parse(X.Substring(i, 1)) > int.Parse(Y.Substring(i + delta_lenght, 1)))
                        {
                            gen[gen_lenght] = char.Parse(X.Substring(i, 1));
                            gen_lenght--;
                        }
                        else if (int.Parse(X.Substring(i, 1)) < int.Parse(Y.Substring(i + delta_lenght, 1)))
                        {
                            gen[gen_lenght] = char.Parse(Y.Substring(i + delta_lenght, 1));
                            gen_lenght--;
                        }
                        else
                        {

                            for (int k = gen_max; k >= gen_lenght; k--)
                            {
                                temp = gen[k];
                                gen[k + 1] = temp;
                            }

                            gen_max++;

                            gen[gen_lenght] = char.Parse(X.Substring(i, 1));
                            gen_lenght--;
                            gen[gen_lenght] = char.Parse(Y.Substring(i + delta_lenght, 1));
                            gen_lenght--;
                        }
                    }

                }
                else
                {
                    gen = new char[x_lenght*2];

                    gen_lenght = x_lenght - 1;

                    gen_max = x_lenght-1;

                    delta_lenght=x_lenght-y_lenght;

                    for (int i = 0; i < x_lenght; i++)
                    {
                        gen[gen_lenght] = char.Parse(X.Substring(i, 1));
                        gen_lenght--;
                    }

                    gen_lenght = 0;

                    for (int i = 0; i < min_lenght; i++)
                    {
                        if (int.Parse(X.Substring(i + delta_lenght, 1)) > int.Parse(Y.Substring(i, 1)))
                        {
                            gen[gen_lenght] = char.Parse(X.Substring(i + delta_lenght, 1));
                            gen_lenght++;
                        }
                        else if (int.Parse(X.Substring(i + delta_lenght, 1)) < int.Parse(Y.Substring(i, 1)))
                        {
                            gen[gen_lenght] = char.Parse(Y.Substring(i, 1));
                            gen_lenght++;
                        }
                        else
                        {

                            for(int k=gen_max;k >= gen_lenght; k--)
                            {
                                temp = gen[k];
                                gen[k+1] = temp;
                            }

                            gen_max++;

                            gen[gen_lenght] = char.Parse(X.Substring(i + delta_lenght, 1));
                            gen_lenght++;
                            gen[gen_lenght] = char.Parse(Y.Substring(i, 1));
                            gen_lenght++;
                        }
                    }
                }


                for (int i = gen_max; i >= 0; i--)
                {
                    Console.Write(gen[i]);
                }
            }
        }
    }
}